Send a batch of emails

Send a batch of emails

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint can send/schedule a batch of up to 1,000 emails. The format of the email object is the same
as the /email/send endpoint.

Note - this endpoint queues emails by default, a total of 50,000 queued emails can be queued at any one time.

An example of using templates when creating a batch which is useful for mailing list types sending.

REQUEST
{
  "api_key": "<ommitted>",
  "emails": [
    {
      "to": "<recipient1>", 
      "sender": "<sender>", 
      "template_id": "tpl-001", 
      "template_data": {
        "name": "Recipient 1"
      }
    },
    {
      "to": "<recipient2>", 
      "sender": "<sender>", 
      "template_id": "tpl-001", 
      "template_data": {
        "name": "Recipient 2"
      }
    },
    {
      "to": "<recipient3>", 
      "sender": "<sender>", 
      "template_id": "tpl-001", 
      "template_data": {
        "name": "Recipient 3"
      },
      "schedule": "2026-01-01 12:00:00"
    },
    {
      "to": "<recipient4>", 
      "sender": "<sender>", 
      "template_id": "tpl-001", 
      "template_data": {
        "name": "Recipient 4"
      },
      "schedule": "2026-01-01 12:00:00"
    }
  ]
}

RESPONSE
{
  "request_id": "aa253464-0bd0-467a-b24b-6159dcd7be60",
  "data": [
    {
      "email_id": "123456-1234-12"
    },
    {
      "email_id": "123456-1234-13"
    },
    {
      "schedule_id": "789db207-5aba-4895-801b-4ebf1843721e"
    },
    {
      "schedule_id": "4cecd7a5-cb34-4eaa-9277-d2fcbea8d41a"
    }
  ]
}
Body Params
emails
array of objects
required

An array of email objects to schedule

emails*
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json